﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=5.9
@EndOfDesignText@

Sub Process_Globals
	Private fx As JFX
	Public SQL1 As SQL	
	Public DBaseFilePath As String
	Public ExcelFilePath As String
	Public InitialFilePath As String
	Public BatchComplete As Boolean
End Sub

Public Sub CreateSqlDatabase
	SQL1.Close
	
	SQL1.InitializeSQLite(DBaseFilePath, "bnk.db", True)
End Sub

Public Sub ObtainFilePath
	Dim str1 As String
	
	str1 = GetSystemProperty("user.home","")
	If Not(File.IsDirectory(str1, "Bank")) Then
		File.MakeDir(str1, "Bank")
		InitialFilePath = File.Combine(str1, "Bank")
	Else
		InitialFilePath = File.Combine(str1, "Bank")		
	End If
	
	' DBase File Path
	If Not(File.IsDirectory(InitialFilePath, "data")) Then
		File.MakeDir(InitialFilePath, "data")
		DBaseFilePath = File.Combine(InitialFilePath, "data")
	Else
		DBaseFilePath = File.Combine(InitialFilePath, "data")		
	End If	
End Sub

Public Sub CreateAcntTable
	
'	DBUtils.DropTable(SQL1, "Acnt")
	Dim M As Map
	
	M.Initialize
	M.Put("Id", DBUtils.DB_INTEGER)			' + auto inc
	M.Put("BigDate", DBUtils.DB_INTEGER)	' big date for sorting
	M.Put("aDate", DBUtils.DB_TEXT)			' Date
	M.Put("Details", DBUtils.DB_TEXT)		' Details
	M.Put("Goods", DBUtils.DB_TEXT)			' Goods
	M.Put("EftPos", DBUtils.DB_REAL)		' EftPos
	M.Put("Withdrawal", DBUtils.DB_REAL)	' Withdrawal
	M.Put("Deposit", DBUtils.DB_REAL)		' Deposit
	M.Put("Interest", DBUtils.DB_REAL)		' Interext
	M.Put("Balance", DBUtils.DB_REAL)		' Balance
	
	DBUtils.CreateTable(SQL1, "Acnt", M, "Id")	
End Sub

' AddNonQueryToBatch For the Ratings - Ex DBUtils
Public Sub UpdateRecordBatch(SQL As SQL, TableName As String, Field As String, NewValue As Object, _
	WhereFieldEquals As Map)
	Dim sb As StringBuilder
	sb.Initialize
	sb.Append("UPDATE [").Append(TableName).Append("] SET [").Append(Field).Append("] = ? WHERE ")
	If WhereFieldEquals.Size = 0 Then
		Log("WhereFieldEquals map empty!")
		Return
	End If
	Dim args As List
	args.Initialize
	args.Add(NewValue)
	For i = 0 To WhereFieldEquals.Size - 1
		If i > 0 Then sb.Append(" AND ")
		sb.Append("[").Append(WhereFieldEquals.GetKeyAt(i)).Append("] = ?")
		args.Add(WhereFieldEquals.GetValueAt(i))
	Next
'	Log("UpdateRecord: " & sb.ToString)
	SQL.AddNonQueryToBatch(sb.ToString, args)
End Sub

Public Sub DoExecBatch
	SQL1.ExecNonQueryBatch("SQL")
'	Log("Do exec Batch")
End Sub

Private Sub SQL_NonQueryComplete (Success As Boolean)
    BatchComplete = True
    If Success = False Then 
		Log(LastException & " - Batch Problem")
	End If
End Sub 
